function x = EigenSec(z,a,b,c,r)
% Computes second order eigenvalue approximation.
% Don't evaluate this symbolically (z a symbol)
% because Matlab can't handle r^2 symbols. 
% Input constant z's.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.


% First get a,b terms:
  x = zeros( size(a) );

  % Now do the ci's.
    k = floor(r/2);
    for i=1:k
       mixedz = z*rot(z,i,1,r)';
       x = x + mixedz * c(:,i);
    end


% Finish with adding a,b terms:
  x = x + a*sum(z) + b*(z*z');

% Convert to row vector:
  x = x.';

% Constructs the (second order) eigenvalue perturbation
%   x = a Sum(zi) + z' S z.   
% Does not include the tuned eigenvalue portion!

% B. Shapiro, Caltech, 03/24/98.

