% Matlab Mistuning Code: Version 1.0
%
% Created by: Benjamin Shapiro,
%             Control and Dynamical Systems
%             California Institute of Technology
%             Pasadena, CA 91125.
%             bshapiro@indra.caltech.edu
%
% *********************************************************
%
% File: Checks.m
% Purpose: To help test and debug code.
% Last Update: 27/03/98 by B.Shapiro
%
% *********************************************************


% First construct the full matrix M(z)
syms M;
    
    % Define symbolic variable y
    for i = 1:r
      eval(['syms y' num2str(i)]);    % Temp mistuning vector
    end;
    y = y1;
    for i = 2:r
      y = [y, eval(['y' num2str(i)]) ];
    end;

    % Construct M(y)
    M = subs(Mrow,z,y);
    for j = 1:r-1
       M = [ M; 
             rot( subs( Mrow, z, rot(y,j,1,r) )  ,r-j,d,r) ];
     end

    % Convert M(y) to M(z)
    M = subs(M,y,z);
% Use this to check derivatives dM/dz1 used in code.
% [I can use this piece of code in Error portion.]



% Construct (temporary) derivatives to check against:

% Define dMz1
TdMz1 = subs( diff( M, z(1) ), z, Zero );

% Define ddMz1z1
TddMz1z1 = subs( diff( diff(M,z(1)), z(1)), z,Zero);

% Define ddMz1z4---a random choice.
TddMz1z3 = subs( diff( diff(M,z(1)), z(3)), z,Zero);