function x = Prl_kji(k,j,i,d,r)
% Computes p(k-j)^i + p(j-k)^i.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.


% First convert to correct (jth,.) indexing.
  k = jth(k,d);
  j = jth(j,d);
  % i is ok.

% Now compute the term:
  x = 2*cos(2*pi*i*(j-k)/r);

% Computes the (real) term: 
%   p(k-j)^i + p(j-k)^i =  2 cos(2 pi i(j-k)/r)
% where indexes converted from 1:rd to (1:r,1:d).

% B. Shapiro, Caltech, 03/27/98.
