function x = SumPkUMV(UMV,eigs,j,i,d,r)
% Computes: jth csym_i.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

% total states:
  n = d*r;

  % jth eigenvalue:
    eigsj = eigs(j);

  % Initialize
    x = 0;

  % Sum over all k neq j:
  for k = 1:j-1
       x = x + Prl_kji(k,j,i,d,r) * UMV(j,k) * UMV(k,j) / (eigsj - eigs(k) );
  end
  for k = j+1:n
       x = x + Prl_kji(k,j,i,d,r) * UMV(j,k) * UMV(k,j) / (eigsj - eigs(k) );
  end


% Computes the scalar term: (csym_i)_j => contributes to jth ci.
%   Sum[ (p(k-j)^i +p(j-k)^i ) (Uj dMdz1 Vk).(Uk dMdz1 Vj)/
%        (eigj - eigk) ]

% B. Shapiro, Caltech, 03/30/98.

