function x = SumUMV(UMV,eigs,j,n)
% Computes: 2 Sum[ (Uj dMdz1 Vk).(Uk dMdz1 Vj)/(eigj - eigk) ]
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

% Here n should be r*d.

  % jth eigenvalue:
    eigsj = eigs(j);

  % Initialize
    x = 0;

  % Sum over all i neq j:
  for i = 1:j-1
       x = x + UMV(j,i) * UMV(i,j) / (eigsj - eigs(i) );
  end
  for i = j+1:n
       x = x + UMV(j,i) * UMV(i,j) / (eigsj - eigs(i) );
  end

  % Needs to be multiplied by two:
  x = 2*x; 

% Computes the scalar term: 
%   2 Sum[ (Uj dMdz1 Vk).(Uk dMdz1 Vj)/(eigj - eigk) ]


% B. Shapiro, Caltech, 03/24/98.

