function Y = rot(X,j,m,r)
% Rotates X (vector or row-block) to the left by j
% (equiv: right by r-j) in m sized blocks. Variable
% j may vary between 0 and r. Only need 1 till r-1.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

  front = X(:,1:m*j);
  back = X(:,j*m+1:m*r);
  Y = [back front];

% B. Shapiro, Caltech, 03/26/98.
